Package org.eclipse.mat.snapshot.model

# Class ObjectComparators

java.lang.Object
org.eclipse.mat.snapshot.model.ObjectComparators

public class ObjectComparators extends Object
Factory of heap object comparators.

## Constructor Summary

Constructors
Constructor
Description
`ObjectComparators()`

## Method Summary

Modifier and Type
Method
Description
`static Comparator<IObject>`
`getComparatorForClassSpecificNameAscending()`
Compare by class specific name ascending.
`static Comparator<IObject>`
`getComparatorForClassSpecificNameDescending()`
Compare by class specific name descending.
`static Comparator<IObject>`
`getComparatorForRetainedHeapSizeAscending()`
Compare by retained heap size ascending.
`static Comparator<IObject>`
`getComparatorForRetainedHeapSizeDescending()`
Compare by retained heap size descending.
`static Comparator<IObject>`
`getComparatorForTechnicalNameAscending()`
Compare by technical name ascending.
`static Comparator<IObject>`
`getComparatorForTechnicalNameDescending()`
Compare by technical name descending.
`static Comparator<IObject>`
`getComparatorForUsedHeapSizeAscending()`
Compare by used heap size ascending.
`static Comparator<IObject>`
`getComparatorForUsedHeapSizeDescending()`
Compare by user heap size descending.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectComparators

public ObjectComparators()

## Method Details

### getComparatorForTechnicalNameAscending

public static Comparator<IObject> getComparatorForTechnicalNameAscending()
Compare by technical name ascending.

Returns:
  the comparator

### getComparatorForTechnicalNameDescending

public static Comparator<IObject> getComparatorForTechnicalNameDescending()
Compare by technical name descending.

Returns:
  the comparator

### getComparatorForClassSpecificNameAscending

public static Comparator<IObject> getComparatorForClassSpecificNameAscending()
Compare by class specific name ascending.

Returns:
  the comparator

### getComparatorForClassSpecificNameDescending

public static Comparator<IObject> getComparatorForClassSpecificNameDescending()
Compare by class specific name descending.

Returns:
  the comparator

### getComparatorForUsedHeapSizeAscending

public static Comparator<IObject> getComparatorForUsedHeapSizeAscending()
Compare by used heap size ascending.

Returns:
  the comparator

### getComparatorForUsedHeapSizeDescending

public static Comparator<IObject> getComparatorForUsedHeapSizeDescending()
Compare by user heap size descending.

Returns:
  the comparator

### getComparatorForRetainedHeapSizeAscending

public static Comparator<IObject> getComparatorForRetainedHeapSizeAscending()
Compare by retained heap size ascending.

Returns:
  the comparator

### getComparatorForRetainedHeapSizeDescending

public static Comparator<IObject> getComparatorForRetainedHeapSizeDescending()
Compare by retained heap size descending.

Returns:
  the comparator